/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2001, 2004 NoMachine, http://www.nomachine.com.          */
/*                                                                        */
/* NXPROXY, NX protocol compression and NX extensions to this software    */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for applicability.       */
/*                                                                        */
/* NX and NoMachine are trademarks of Medialogic S.p.A.                   */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

#include <unistd.h>

#include "Misc.h"
#include "Binder.h"

//
// Set the verbosity level.
//

#define PANIC
#define WARNING
#undef  TEST
#undef  DEBUG

int Binder::connect()
{
  #ifdef TEST
  *logofs << "Binder: Called connect operation with host '"
          << host_ << "' on port '" << port_ << "'.\n"
          << logofs_flush;
  #endif

  sleep(10000);

  return 1;
}

int Binder::yield()
{
  #ifdef TEST
  *logofs << "Binder: Called yield operation with host '"
          << host_ << "' on port '" << port_ << "'.\n"
          << logofs_flush;
  #endif

  return 1;
}

